# $Revision: 1.221 $, $Date: 2010/07/22 18:06:43 $
%define		basever		2.29
Summary:	Epiphany - WebKit-based GNOME web browser
Summary(es.UTF-8):	Epiphany - navigador Web de GNOME basado en WebKit
Summary(pl.UTF-8):	Epiphany - przeglądarka WWW dla GNOME
Name:		epiphany
Version:	2.30.2
Release:	4
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/epiphany/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	29b084acfa016540d91d3601ec3dff5c
Patch0:		%{name}-pld-homepage.patch
URL:		http://www.gnome.org/projects/epiphany/
BuildRequires:	GConf2-devel >= 2.28.0
BuildRequires:	NetworkManager-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	avahi-gobject-devel >= 0.6.22
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gir-repository-devel
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	gtk-webkit-devel >= 1.1.22
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes >= 0.53
BuildRequires:	libgnome-keyring-devel >= 2.28.0
BuildRequires:	libicu-devel
BuildRequires:	libnotify-devel >= 0.4
BuildRequires:	libsoup-gnome-devel >= 2.30.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	libxslt-devel >= 1.1.20
BuildRequires:	nss-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.364
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	ca-certificates
Requires:	dbus >= 1.0.2
Requires:	gnome-icon-theme >= 2.26.0
Provides:	wwwbrowser
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME browser based on WebKit.

%description -l es.UTF-8
Navigador Web de GNOME basado en WebKit.

%description -l pl.UTF-8
Epiphany jest przeglądarką WWW bazującą na WebKit.

%package devel
Summary:	Epiphany header files
Summary(es.UTF-8):	Ficheros de cabecera de Epiphany
Summary(pl.UTF-8):	Pliki nagłówkowe Epiphany
Group:		X11/Applications/Networking
# doesn't require base
Requires:	gtk+2-devel >= 2:2.20.0
Requires:	gtk-webkit-devel >= 1.1.22
Requires:	libxml2-devel >= 1:2.6.28

%description devel
Epiphany header files for plugin development.

%description devel -l es.UTF-8
Ficheros de cabecera de Epiphany para desarrollar plug-ins.

%description devel -l pl.UTF-8
Pliki nagłówkowe Epiphany do tworzenia wtyczek.

%package apidocs
Summary:	Epiphany API documentation
Summary(pl.UTF-8):	Dokumentacja API Epiphany
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Epiphany API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Epiphany.

%prep
%setup -q
%patch0 -p1

sed -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__gnome_doc_prepare}
%{__gnome_doc_common}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--with-distributor-name="PLD Linux" \
	--with-ca-file=/etc/certs/ca-certificates.crt \
	--enable-network-manager \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/%{basever}/extensions

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_iconsdir}/LowContrastLargePrint

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install epiphany-lockdown.schemas
%gconf_schema_install epiphany.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall epiphany-lockdown.schemas
%gconf_schema_uninstall epiphany.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README

%attr(755,root,root) %{_bindir}/epiphany
%{_datadir}/dbus-1/services/org.gnome.Epiphany.service
%{_datadir}/%{name}
%{_desktopdir}/bme.desktop
%{_desktopdir}/epiphany.desktop
%{_iconsdir}/*/*/apps/*.*
%{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas
%{_sysconfdir}/gconf/schemas/epiphany.schemas
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{basever}
%dir %{_libdir}/%{name}/%{basever}/extensions
%{_libdir}/girepository-1.0/Epiphany-*.typelib
%{_mandir}/man1/epiphany.1*

%files devel
%defattr(644,root,root,755)
%{_aclocaldir}/epiphany.m4
%{_includedir}/epiphany
%{_pkgconfigdir}/epiphany-*.pc
%{_datadir}/gir-1.0/Epiphany-*.gir

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/epiphany

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: epiphany.spec,v $
Revision 1.221  2010/07/22 18:06:43  patrys
- rebuild
- rel 4

Revision 1.220  2010/04/13 12:31:52  baggins
- rel 3
- BR gir-repository-devel

Revision 1.219  2010/04/13 12:28:22  baggins
- rel 2
- basever/API is 2.29

Revision 1.218  2010/04/08 17:12:00  megabajt
- merged from DEVEL

Revision 1.217.2.3  2010/04/08 17:10:10  megabajt
- updated to 2.30.2

Revision 1.217.2.2  2010/03/29 17:02:51  megabajt
- updated to 2.30.0

Revision 1.217.2.1  2010/03/24 18:55:32  megabajt
- updated to 2.29.92

Revision 1.217  2009/12/16 21:10:01  megabajt
- updated to 2.28.2

Revision 1.216  2009/11/27 01:20:30  sparky
- BR: docbook-dtd412-xml

Revision 1.215  2009/10/26 10:25:26  baggins
- rel 2
- restore libdir/VER/extensions dir

Revision 1.214  2009/10/25 12:26:26  megabajt
- updated to 2.28.1

Revision 1.213  2009/10/05 21:45:47  qwiat
- added BR: libicu-devel

Revision 1.212  2009/09/28 18:53:47  megabajt
- updated to 2.28.0; merged from DEVEL

Revision 1.211  2009/09/10 12:18:41  baggins
- rel 4

Revision 1.206.2.7  2009/08/26 08:43:31  patrys
- 2.27.91

Revision 1.206.2.6  2009/08/11 09:00:09  patrys
- remove ca@valencia

Revision 1.206.2.5  2009/08/11 08:48:08  patrys
- 2.27.90

Revision 1.206.2.4  2009/08/08 15:28:05  patrys
- 2.27.5

Revision 1.210  2009/08/05 16:09:23  arekm
- release 3

Revision 1.209  2009/07/19 15:05:25  arekm
- release 2

Revision 1.206.2.3  2009/07/16 08:34:08  patrys
- 2.27.4
- python is no longer used

Revision 1.208  2009/07/04 09:24:58  megabajt
- updated to 2.26.3

Revision 1.206.2.2  2009/05/28 08:39:38  patrys
- 2.27.2

Revision 1.207  2009/05/06 20:29:33  megabajt
- release 3

Revision 1.206.2.1  2009/05/03 16:38:28  patrys
- 2.27.1

Revision 1.206  2009/04/24 11:34:56  megabajt
- release 2

Revision 1.205  2009/04/13 21:39:16  megabajt
- updated to 2.26.1

Revision 1.204  2009/03/18 22:12:28  patrys
- merged from DEVEL

Revision 1.203.2.1  2009/03/15 17:50:27  patrys
- 2.26.0 stable
- waits for gtk+2 hitting HEAD

Revision 1.203  2009/03/06 08:50:38  arekm
- release 3

Revision 1.202  2009/02/11 18:58:49  patrys
- rel 2

Revision 1.201  2009/02/08 11:46:00  megabajt
- updated to 2.24.3

Revision 1.200  2008/12/22 19:20:02  wrobell
- corrected last changelog entry

Revision 1.199  2008/12/22 19:19:27  wrobell
- rel. 2 to rebuild with xulrunner 1.9.0.5

Revision 1.198  2008/11/26 14:46:46  megabajt
- updated to 2.24.2.1

Revision 1.197  2008/11/23 16:36:09  glen
- release 4

Revision 1.196  2008/11/23 16:35:51  glen
- register in browser-plugins to get plugins into /usr/lib64/epiphany/2.24/plugins
- add Provides: wwwbrowser

Revision 1.195  2008/11/23 09:03:02  wrobell
- look for plugins in xulrunner directory not in mozilla one
- rel. 3

Revision 1.194  2008/11/13 17:57:31  arekm
- release 2

Revision 1.193  2008/10/23 13:03:02  megabajt
- updated to 2.24.1

Revision 1.192  2008/10/14 06:41:45  arekm
- release 3

Revision 1.191  2008/10/03 17:42:56  arekm
- release 2

Revision 1.190  2008/09/30 22:23:33  qwiat
- merge from DEVEL

Revision 1.188.2.4  2008/09/30 22:13:36  qwiat
- up to 2.24

Revision 1.189  2008/09/30 10:25:45  hawk
- release 3

Revision 1.188.2.3  2008/09/04 09:10:02  patrys
- 2.23.91

Revision 1.188.2.2  2008/08/19 10:20:31  patrys
- 2.23.90

Revision 1.188.2.1  2008/08/18 10:54:17  patrys
- 2.23.5

Revision 1.188  2008/07/31 10:07:50  hawk
- use real build date, not tarball release date
- release 2

Revision 1.187  2008/07/23 13:32:53  hawk
- updated to 2.22.3
- use old SSL behavior (BRs xulrunner-devel >= 1.9.0.1-1)

Revision 1.186  2008/07/08 10:44:37  megabajt
- added -libxul.patch to fix build with xulrunner 1.9
- release 2

Revision 1.185  2008/06/01 16:09:32  megabajt
- updated to 2.22.2
- added -lt.patch

Revision 1.184  2008-05-24 19:03:18  hawk
- use %pld_release macro and apply proper agent patch, BR: rpm >= 4.4.9-56

Revision 1.183  2008-04-26 21:31:07  megabajt
- release 3

Revision 1.182  2008-04-24 15:49:23  sls
- rm BR: libicu-devel (it's required by gtk-webkit-devel)

Revision 1.181  2008-04-24 00:02:44  emes
- fixed BReqs: libicu needed only with webkit

Revision 1.180  2008-04-23 07:34:41  hawk
- release 2

Revision 1.179  2008-04-15 15:33:44  emes
- added missing BReq

Revision 1.178  2008-04-11 22:39:27  sls
- ver. 2.22.1.1

Revision 1.177  2008-04-06 08:34:57  arekm
- release 7

Revision 1.176  2008-03-27 21:04:46  hawk
- release 6 (xulrunner 1.8.1.13)

Revision 1.175  2008-03-18 10:00:14  hawk
- release 5

Revision 1.174  2008-03-12 23:30:01  patrys
- actually fix the typo

Revision 1.173  2008-03-12 21:55:02  patrys
- rel 3

Revision 1.172  2008-03-12 21:54:26  patrys
- drop obsolete theme icon

Revision 1.171  2008-03-12 17:49:10  hawk
- release 2

Revision 1.170  2008-03-11 21:14:45  patrys
- 2.22.0
- merged from DEVEL

Revision 1.167.2.3  2008-03-11 21:11:38  patrys
- 2.22.0

Revision 1.167.2.2  2008-03-10 00:05:03  patrys
- 2.21.92

Revision 1.169  2008-02-08 19:49:52  hawk
- release 2 (xulrunner 1.8.1.12)

Revision 1.168  2008-01-09 20:41:20  megabajt
- updated to 2.20.3

Revision 1.167.2.1  2007-12-19 15:11:19  patrys
- 2.21.4

Revision 1.167  2007-12-02 12:38:09  hawk
- release 2 (xulrunner 1.8.1.11)

Revision 1.166  2007-11-27 19:51:45  megabajt
- updated to 2.20.2
- proper BR for --with-omf

Revision 1.165  2007-11-18 00:00:30  arekm
- fix build with newer gtkwebkit

Revision 1.164  2007-11-17 23:24:27  arekm
- revert; doesn't build

Revision 1.163  2007-11-17 23:17:42  arekm
- webkit BR gtk-webkitgdk-devel (but we don't have it in pld)

Revision 1.162  2007-11-10 14:47:11  megabajt
- use better way to fix locale name
- use --with-omf
- release 4

Revision 1.161  2007/11/04 17:06:48  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.160  2007/11/02 18:40:41  sls
- BR: enchant-devel >= 1.0

Revision 1.159  2007/11/02 18:36:27  sls
- BR: NetworkManager-devel

Revision 1.158  2007/10/22 19:31:59  megabajt
- release 2 (xulrunner 1.8.1.8)

Revision 1.157  2007/10/16 18:42:14  megabajt
- updated to 2.20.1

Revision 1.156  2007/09/22 08:36:12  megabajt
- removed obsolete first-tab patch
- updated deps
- release 2 (xulrunner 1.8.1.7)

Revision 1.155  2007/09/19 21:41:15  aflinta
- fixed basever

Revision 1.154  2007/09/18 10:36:40  patrys
- 2.20.0

Revision 1.153  2007/09/15 21:21:35  wiget
- release 4

Revision 1.152.2.4  2007/09/13 20:32:27  patrys
- parsing error

Revision 1.152.2.3  2007/09/11 21:10:22  aflinta
 - added webkit support (experimental)
 - updated TODO

Revision 1.152.2.2  2007/09/08 20:43:26  qboosh
- desktop patch is obsolete

Revision 1.152.2.1  2007/09/08 20:31:49  aflinta
- up to 2.19.91, added TODO

Revision 1.152  2007/08/06 12:01:47  patrys
- rebuild with new xulrunner

Revision 1.151  2007/08/04 19:15:57  wrobell
- rel. 2 to rebuild with xulrunner 1.8.1.6-1.20070731.1

Revision 1.150  2007/07/26 21:53:53  megabajt
- updated to 2.18.3

Revision 1.149  2007/07/18 16:58:36  hawk
- release 4 (xulrunner 1.8.1.5)

Revision 1.148  2007/07/13 07:15:08  hawk
- release 3

Revision 1.147  2007/06/12 07:26:02  hawk
- use agent patch (to identify system as PLD)

Revision 1.146  2007/06/02 18:16:18  megabajt
- release 2 (rebuild with xulrunner 1.8.1.4)

Revision 1.145  2007/05/29 17:54:25  megabajt
- updated to 2.18.2

Revision 1.144  2007/04/25 17:55:22  megabajt
- don't require libxpcom.so
- release 2

Revision 1.143  2007/04/09 17:58:22  megabajt
- updated to 2.18.1

Revision 1.142  2007/04/02 15:43:24  baggins
- rel 4

Revision 1.141  2007/04/02 12:45:31  baggins
- rel 3

Revision 1.140  2007/03/23 17:48:34  megabajt
- release 2 to rebuild with xulrunner 1.8.1.3

Revision 1.139  2007/03/12 16:59:33  megabajt
- updated to 2.18.0

Revision 1.138  2007/03/07 18:05:18  megabajt
- updated to 2.17.92

Revision 1.137  2007/02/26 14:35:16  wrobell
- rel. 2 to build with new xulrunner

Revision 1.136  2007/02/19 15:20:05  megabajt
- updated to 2.16.3

Revision 1.135  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.134  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.133  2007/01/25 13:17:09  hawk
- firefox devel is no longer provided, build with xulrunner

Revision 1.132  2007/01/11 16:38:21  sls
- BR: mozilla-firefox to test typeaheadfind xpt (builds with firefox2)

Revision 1.131  2006/12/12 12:26:51  wrobell
- added info about compilation problem with firefox 2.0

Revision 1.130  2006/12/10 23:56:37  wrobell
- rel. 2 to rebuild with firefox 2.0

Revision 1.129  2006/12/08 15:00:36  glen
- depend on mozilla-firefox-libs

Revision 1.128  2006/11/23 10:49:22  megabajt
- up to 2.16.2

Revision 1.127  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.126  2006/10/05 22:45:29  qboosh
- R(post,postun): hicolor-icon-theme

Revision 1.125  2006/10/05 22:02:40  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.124  2006/10/04 20:12:16  grzegol
- 2.16.1

Revision 1.123  2006/09/09 12:35:06  grzegol
- 2.16.0

Revision 1.122  2006/08/28 17:35:31  grzegol
- no need to use --all-name in %%find_lang

Revision 1.121  2006/08/27 13:24:03  havner
- rebuild with 2.5
- rel 2

Revision 1.120  2006/08/21 20:14:10  freetz
- 2.15.92, updated deps

Revision 1.119  2006/08/10 16:08:26  freetz
- 2.15.91, updated deps

Revision 1.118  2006/08/01 15:51:31  freetz
- rel.2 (new firefox)

Revision 1.117  2006/07/12 19:24:14  freetz
- 2.15.4, updated deps, --as-needed support

Revision 1.116  2006/06/11 09:14:46  freetz
- 2.15.3

Revision 1.115  2006/06/10 21:13:22  freetz
- 2.15.2, mozilla 1.7 support dropped upstream (removed bcond),
  GNOME 2.15.x deps

Revision 1.114  2006/06/06 13:00:02  qboosh
- merged update to 2.14.2.1 from AC-branch

Revision 1.113  2006/05/26 23:50:42  qboosh
- merged update to 2.14.1.1 and deps update from AC-branch

Revision 1.107.2.3  2006/05/19 15:46:31  freetz
- 2.14.1.1

Revision 1.107.2.2  2006/05/18 21:44:36  baggins
- release 4
- strict reqs

Revision 1.107.2.1  2006/05/15 16:04:31  baggins
- merged from HEAD

Revision 1.112  2006/05/05 14:54:43  wrobell
- rel. 3 to rebuild with mozilla firefox 1.5.0.3

Revision 1.111  2006/04/17 16:07:48  wrobell
- build with firefox by default
- rel. 2

Revision 1.110  2006/04/10 21:30:14  freetz
- 2.14.1

Revision 1.109  2006/04/02 14:45:40  freetz
- merged from DEVEL

Revision 1.105.2.7  2006/03/12 20:59:03  freetz
- 2.14.0, define and use basever

Revision 1.105.2.6  2006/03/06 22:16:12  freetz
- 1.9.99

Revision 1.105.2.5  2006/02/28 14:58:17  freetz
- 1.9.8

Revision 1.105.2.4  2006/02/14 08:48:48  freetz
- 1.9.7, removed obsoleted m4 patch

Revision 1.105.2.3  2006/02/01 18:01:18  freetz
- m4 fix added

Revision 1.105.2.2  2006/02/01 17:28:29  freetz
- 1.9.6, configure patch (aginst mozilla madness), files list update

Revision 1.105.2.1  2005/10/25 19:17:46  paladine
- updated to 1.9.1

Revision 1.108  2006/02/15 07:22:07  freetz
- 1.8.5 (important bugfix release)

Revision 1.107  2006/02/08 16:32:20  freetz
- 1.8.4.1

Revision 1.106  2005/11/28 18:05:07  freetz
- 1.8.3

Revision 1.105  2005/10/04 09:01:39  paladine
- updated to 1.8.2

Revision 1.104  2005/09/08 07:40:20  paladine
- rel. 2 for fixed mozilla_includes patch

Revision 1.103  2005/09/07 19:53:45  freetz
- O: python-epiphany

Revision 1.102  2005/09/06 18:14:27  freetz
- merged from DEVEL

Revision 1.99.2.13  2005/09/05 14:56:31  aflinta
- to avoid build documentations problems, we should require libxslt not libxml2

Revision 1.99.2.12  2005/09/05 12:53:28  paladine
- updated to 1.8.0

Revision 1.99.2.11  2005/08/28 20:30:40  paladine
- updated to 1.7.6
- enabled dbus and python support

Revision 1.99.2.10  2005/08/21 09:53:35  wiget
- update to 1.7.5

Revision 1.99.2.9  2005/08/21 05:28:06  wiget
- BR libgnomeprintui builded with new cairo

Revision 1.99.2.8  2005/08/18 09:31:54  aflinta
- rebuild with cairo, rel. 2

Revision 1.99.2.7  2005/08/09 14:18:21  paladine
- updated to 1.7.4
- itemize schemas

Revision 1.99.2.6  2005/08/08 15:50:51  paladine
- added pld-homepage patch, rel. 2

Revision 1.99.2.5  2005/07/27 15:08:04  wiget
- BR gnome-doc-utils 0.3.2

Revision 1.99.2.4  2005/07/27 10:58:35  paladine
- updated to 1.7.3
- updated mozilla patch
- gnome-doc-utils for omf docs

Revision 1.99.2.3  2005/07/26 15:34:27  wiget
- BR python-gnome-devel, rel 3

Revision 1.99.2.2  2005/07/26 12:56:03  paladine
- proper extensions dir, rel. 2

Revision 1.99.2.1  2005/07/12 12:33:04  freetz
- 1.7.2, updated BRs, cleanups
